org.jboss.resteasy.plugins.providers.atom.app

## Class AppWorkspace

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.app.AppWorkspace

- All Implemented Interfaces:
    Serializable

      public class AppWorkspace
      extends AppCommonAttributes

  Per RFC5023:

       A Service Document groups Collections into Workspaces.  Operations on
       Workspaces, such as creation or deletion, are not defined by this
       specification.  This specification assigns no meaning to Workspaces;
       that is, a Workspace does not imply any specific processing
       assumptions.

       There is no requirement that a server support multiple Workspaces.
       In addition, a Collection MAY appear in more than one Workspace.

       Workspaces are server-defined groups of Collections.  The "app:
       workspace" element contains zero or more app:collection elements
       describing the Collections of Resources available for editing.

       appWorkspace =
          element app:workspace {
             appCommonAttributes,
             ( atomTitle
               & appCollection*
               & extensionSansTitleElement* )
          }

       atomTitle = element atom:title { atomTextConstruct }

  Version:
    $Revision: 1 $
  Author:
    Kurt Stam
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected List<AppCollection>` | `collection`
    `protected String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppWorkspace()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `List<AppCollection>` | `getCollection()` Gets the value of the collection property.
    `String` | `getTitle()` Gets the value of the title property.
    `void` | `setTitle(String value)` Sets the value of the title property.

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes

      `getBase, getLang, getOtherAttributes, getSpace, setBase, setLang, setSpace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### title

          protected String title

    - #### collection

          protected List<AppCollection> collection

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### AppWorkspace

          public AppWorkspace()

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `String`

    - #### setTitle

          public void setTitle(String value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCollection

          public List<AppCollection> getCollection()

      Gets the value of the collection property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the collection property.

      For example, to add a new item, do as follows:

              getCollection().add(newItem);

      Objects of the following type(s) are allowed in the list `AppCollectionType`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `Object`

Copyright © 2014. All Rights Reserved.